<!DOCTYPE html>
<html lang='en'>
<head>
<title>Hecate Views</title>
<meta charset='utf-8'>
</head>
<body>

<p>Hello</p>
<p>BarChart</p>
<bar-chart id='chart.bar'></bar-chart>
<p>Histogram</p>
<histogram-chart id='chart.histogram'></histogram-chart>
<p>LineChart</p>
<line-chart id='chart.line'></line-chart>
<p>ScatterPlot</p>
<scatter-plot id='chart.scatter'></scatter-plot>

<p>World</p>
</div>


<script type='module' src='/src/init.js' defer></script>
<script>

data = JSON.stringify({
  'items': [
      { 'entity': 'person',
        metadata: [
            { pid: 'name', value: 'Gilles Poitou' },
            { pid: 'height(cm)', value:   5 },
            { pid: 'weight(kg)', value:  20 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'height(cm)', value: 480 },
            { pid: 'weight(kg)', value:  90 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'name', value: 'Peezle de Tweezle' },
            { pid: 'height(cm)', value: 250 },
            { pid: 'weight(kg)', value:  50 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'name', value: 'Buftyfufteeze' },
            { pid: 'height(cm)', value: 100 },
            { pid: 'weight(kg)', value:  33 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'name', value: 'Guy Banville' },
            { pid: 'height(cm)', value: 330 },
            { pid: 'weight(kg)', value:  95 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'height(cm)', value: 410 },
            { pid: 'weight(kg)', value:  22 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'name', value: 'Quickenaldoopicket' },
            { pid: 'height(cm)', value: 474 },
            { pid: 'weight(kg)', value:  44 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'height(cm)', value:  25 },
            { pid: 'weight(kg)', value:  67 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'height(cm)', value:  85 },
            { pid: 'weight(kg)', value:  21 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'height(cm)', value: 220 },
            { pid: 'weight(kg)', value:  88 },
          ],
      },
      { 'entity': 'person',
        metadata: [
            { pid: 'height(cm)', value: 600 },
            { pid: 'weight(kg)', value: 100 },
          ],
      },

    ],
  'properties': [
      { '@id': 'name',
        name: 'Name',
        description: 'All-in-all human-readable name',
        type: 'text',
      },
      { '@id': 'height(cm)',
        name: 'Height',
        description: 'Height, in SI centimetres',
        type: 'number',
      },
      { '@id': 'weight(kg)',
        name: 'Weight',
        description: 'Weight (on Earth), in SI kilograms',
        type: 'number',
      },
    ],
});
settings = JSON.stringify({
  x: 'height(cm)',
  y: 'weight(kg)',
  label: 'name',
  color: '#2955ee',
});
document.getElementById('chart.scatter').dataset.hera = data;
document.getElementById('chart.scatter').dataset.settings = settings;










data_kitty = JSON.stringify({
  'items': [
      { metadata: [
            { value: "China", pid: 'country' },
            { pid: 'code',  value: '12' },
            { pid: 'value', value: '100' },
          ],
      },
      { metadata: [
            { value: "Morocco", pid: 'country' },
            { pid: 'code', value: '22' },
            { pid: 'value', value: '82' },
          ],
      },
      { metadata: [
            { value: "Iran", pid: 'country' },
            { pid: 'code', value: '23' },
            { pid: 'value', value: '14' },
          ],
      },
      { metadata: [
            { value: "France", pid: 'country' },
            { pid: 'code', value: '36' },
            { pid: 'value', value: '63' },
          ],
      },
      { metadata: [
            { pid: 'code', value: '55' },
            { pid: 'value', value: '26' },
          ],
      },
      { metadata: [
            { value: "Venevuvuzela", pid: 'country' },
            { pid: 'code', value: '65' },
            { pid: 'value', value: '25' },
          ],
      },
      { metadata: [
            { value: "", pid: 'country' },
            { pid: 'code', value: '98' },
            { pid: 'value', value: ' 31' },
          ],
      },
      { metadata: [
            { value: "", pid: 'country' },
            { pid: 'code', value: '' },
            { pid: 'value', value: '' },
          ],
      },
    ],
  'properties': [
      { '@id': 'country',
        name: "Country",
        description: "Pays .....",
        type: 'text'
      },
      { '@id': 'code',
        name: "Country Code",
        description: "Code Pays",
        type: 'text'
      },
      { '@id': 'value',
        name: "Units of Merch",
        description: "... d'après l'enquête SOFRES 2022",
        type: 'number'
      }
    ],
});
settings_linechart = JSON.stringify({
  color: 'red',
  x: 'code',
  y: 'value',
});
document.querySelector('line-chart').dataset.hera = data_kitty;
document.querySelector('line-chart').dataset.settings = settings_linechart;


settings_barchart = JSON.stringify({
  color: JSON.parse(settings_linechart).color,
  x: 'country',
  y: 'value',
});
document.querySelector('bar-chart').dataset.hera = data_kitty;
document.querySelector('bar-chart').dataset.settings = settings_barchart;









data_histogram = JSON.stringify({
  'items': [
      { metadata: [
            { pid: 'county', value: "Autauga County" },
            { pid: 'value', value: '5.1' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Baldwin County" },
            { pid: 'value', value: '4.9' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Barbour County" },
            { pid: 'value', value: '8.6' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Bibb County" },
            { pid: 'value', value: '6.2' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Blount County" },
            { pid: 'value', value: '5.1' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Bullock County" },
            { pid: 'value', value: '7.1' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Butler County" },
            { pid: 'value', value: '6.7' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Calhoun County" },
            { pid: 'value', value: '6.1' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Chambers County" },
            { pid: 'value', value: '5.0' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Cherokee County"},
            { pid: 'value', value: '5.0' },
          ]
      },
      { metadata: [
            { pid: 'county', value: "Chilton County" },
            { pid: 'value', value: '5.2' },
            ]
      },
      { metadata: [
            { pid: 'county', value: "Stanley County" },
            { pid: 'value', value: '8.8' },
          ]
      },
    ],
  'properties': [
      { '@id': 'county',
        name: "County",
        type: 'text'
      },
      { '@id': 'value',
        name: "Unemployment rate (%)",
        type: 'number'
      }
    ],
});
settings_histogram = JSON.stringify({
  color: 'steelblue',
  x: 'value',
  y: 'county',
});
document.querySelector('histogram-chart').dataset.hera = data_histogram;
document.querySelector('histogram-chart').dataset.settings = settings_histogram;

</script>
</body>
</html>
